当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [求教]nvidia已安装过旧版驱动无法安装新版
帖子发表于 : 2009-03-12 11:09 
头像

注册: 2008-11-13 20:27
帖子: 257
地址: 台灣
送出感谢: 0 次
接收感谢: 2
各位高手,如题求教
新装8.10系统可安装180.22驱动
要更新驱动180.37时发生以下错误讯息
代码:
tom@tomnb-ubuntu:~$ sudo sh NVIDIA*.run
Verifying archive integrity... OK
Uncompressing NVIDIA Accelerated Graphics Driver for Linux-x86 180.37...........................
..................................................................................
....................................................................................
......................................................................................
..................Extraction failed.

Signal caught, cleaning up



而后有试着安装180.37驱动前用envyng把旧有的180.22驱动删除
出现一样的错误讯息
要装回原有的180.22驱动
一样的结果
请各路高手给予指教


_________________
ASUS W7SG
UBUNTU 13.04


页首
 用户资料  
 
2 楼 
 文章标题 : Re: [求教]nvidia已安装过旧版驱动无法安装新版
帖子发表于 : 2009-03-12 19:31 
头像

注册: 2007-05-25 16:47
帖子: 881
地址: 上海
送出感谢: 0 次
接收感谢: 0 次
这里边有好多帖子说这个问题!看这个:
viewtopic.php?f=42&t=179987


页首
 用户资料  
 
3 楼 
 文章标题 : Re: [求教]nvidia已安装过旧版驱动无法安装新版
帖子发表于 : 2009-03-12 21:45 
头像

注册: 2008-11-13 20:27
帖子: 257
地址: 台灣
送出感谢: 0 次
接收感谢: 2
我依照方式移除了所有东西
一样错误

代码:
[   12.064721] nvidia: module license 'NVIDIA' taints kernel.
[   12.370140] nvidia 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   12.370148] nvidia 0000:01:00.0: setting latency timer to 64
[   12.370294] NVRM: loading NVIDIA UNIX x86 Kernel Module  180.22  Tue Jan  6 09:29:08 PST 2009


这是dmesg文件内有关的讯息
请赐教


_________________
ASUS W7SG
UBUNTU 13.04


页首
 用户资料  
 
4 楼 
 文章标题 : Re: [求教]nvidia已安装过旧版驱动无法安装新版
帖子发表于 : 2009-03-13 13:11 
头像

注册: 2007-05-25 16:47
帖子: 881
地址: 上海
送出感谢: 0 次
接收感谢: 0 次
我看你一楼的显示信息是
引用:
Uncompressing NVIDIA Accelerated Graphics Driver for Linux-x86 180.37...........................
..................................................................................
....................................................................................
......................................................................................
..................Extraction failed.


驱动程序解压失败,是不是你这个驱动程序包有问题啊?重新下载一个比较一下。

这里你用的是180.37版本

而dmesg显示的内容是180.22版本,你倒底装的是如个版本?


页首
 用户资料  
 
5 楼 
 文章标题 : Re: [求教]nvidia已安装过旧版驱动无法安装新版
帖子发表于 : 2009-03-13 16:18 
头像

注册: 2008-11-13 20:27
帖子: 257
地址: 台灣
送出感谢: 0 次
接收感谢: 2
blackiron 写道:
我看你一楼的显示信息是
引用:
Uncompressing NVIDIA Accelerated Graphics Driver for Linux-x86 180.37...........................
..................................................................................
....................................................................................
......................................................................................
..................Extraction failed.


驱动程序解压失败,是不是你这个驱动程序包有问题啊?重新下载一个比较一下。

这里你用的是180.37版本

而dmesg显示的内容是180.22版本,你倒底装的是如个版本?


旧的驱动是180.22没错
要装的世新的版本180.37

如果是180.37档案有问题~~那怎么会要装回180.22的驱动都是一样的讯息呢
很怪


_________________
ASUS W7SG
UBUNTU 13.04


页首
 用户资料  
 
6 楼 
 文章标题 : Re: [求教]nvidia已安装过旧版驱动无法安装新版
帖子发表于 : 2009-03-14 9:31 
头像

注册: 2008-11-13 20:27
帖子: 257
地址: 台灣
送出感谢: 0 次
接收感谢: 2
还是无法解决~~
看来只有重惯系统一途了~ :em20


_________________
ASUS W7SG
UBUNTU 13.04


页首
 用户资料  
 
7 楼 
 文章标题 : Re: [求教]nvidia已安装过旧版驱动无法安装新版
帖子发表于 : 2010-04-05 8:52 

注册: 2010-04-05 8:39
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
試試這個吧!

代码:
sudo ./NVIDIA-Linux-x86-96.43.07-pkg1.run --extract-only


(那個版本型號要對應您所下載的.)
雖然敝人是用Debian,但基本還是一樣的.

在下從來沒遇到這個問題,直到昨天upgrade之後,
NVIDIA就跟LZ的狀況一樣,一直無法重新裝上。
(相同文件,之前可以裝,現在卻不能)

字面上的意思上「套件包解壓失敗」,google了NVIDIA的套件命令,
這個指令是手動解壓縮,會在您下命令的目錄多出一個解壓縮的資料夾
NVIDIA-Linux-xxxxxx...

您只需要進入這個資料夾,執行 nvidia-installer

代码:
./nvidia-installer


就會RUN出本就應該出現的安裝畫面~


页首
 用户资料  
 
8 楼 
 文章标题 : Re: [求教]nvidia已安装过旧版驱动无法安装新版
帖子发表于 : 2010-04-05 10:26 
头像

注册: 2007-10-06 18:40
帖子: 4313
送出感谢: 0 次
接收感谢: 5
很可能是你下的文件有问题或者空间不够了.
因为程序解压失败.


_________________
E=m c^2


页首
 用户资料  
 
9 楼 
 文章标题 : Re: [求教]nvidia已安装过旧版驱动无法安装新版
帖子发表于 : 2010-04-08 13:33 

注册: 2010-04-05 8:39
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
syrano 写道:
很可能是你下的文件有问题或者空间不够了.
因为程序解压失败.


沒錯~
當初分割只給 /目錄 500M
目前use已達94%

解壓縮、dpkg安裝基本上都是失敗的...

而我的/home還有300GB左右,
不知道能不能將這些緩衝引導到/home目錄下的資料夾!?

該不會實體連結/opt 就解決了吧!? :em06


页首
 用户资料  
 
10 楼 
 文章标题 : Re: [求教]nvidia已安装过旧版驱动无法安装新版
帖子发表于 : 2010-04-08 13:36 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
楼上看教程,先从挂载/home的分区里切出10G,然后把/usr挂载到新分区上。 :em09
viewtopic.php?f=120&t=257333 #Linux分区和挂载知识讲解的adagio(大三八)基础教程。


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
11 楼 
 文章标题 : Re: [求教]nvidia已安装过旧版驱动无法安装新版
帖子发表于 : 2010-04-08 14:10 

注册: 2005-05-01 12:54
帖子: 920
送出感谢: 0 次
接收感谢: 0 次
给/usr什么的目录各分配一个分区,这是典型的windows思想(分C、D、E盘,每个盘用来干XXX的事情),一个根目录挂一个大分区就可以了,什么烦恼都没有


页首
 用户资料  
 
12 楼 
 文章标题 : Re: [求教]nvidia已安装过旧版驱动无法安装新版
帖子发表于 : 2010-04-10 20:44 

注册: 2010-04-05 8:39
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
先謝謝各位大哥 :em01

其實遇到空間不足是個意外!
本來的配置如下
/ 500M
/home 300G
/usr 50G
/var 50G
-swap- 其他散落1-2G略...

這樣安排是為了"容易重新安裝".
基本上只format / , /usr , /var

在下不清楚redhat 跟 ubuntu 有什麼系統上的差異。
許久前有人說/ 目錄不用太大,主要使用者資料/home跟
系統/usr,動態文件/var 資料量最大的分出來就好?

剛剛再撿查一次容量 / 目錄USE又降到60%(300多M)
apt-get clean 還是有用的 :em04

但是adobe reader還是裝不了.
dpkg -i 就顯示空間不足的錯誤......

/usr目前僅使用5%(尚餘40多G) :em20

晚點再試試那個掛載的方法囉!
不過要掛載/opt
在下也不知道為什麼是/opt,因為adobe reader安裝失敗訊息裡提到這個目錄...

再次感謝各位~


页首
 用户资料  
 
13 楼 
 文章标题 : Re: [求教]nvidia已安装过旧版驱动无法安装新版
帖子发表于 : 2010-04-10 20:54 
头像

注册: 2008-03-25 15:49
帖子: 25876
地址: 谁知道?
送出感谢: 8
接收感谢: 10
/usr 一般的用10G可以了.. :em06


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Google [Bot] 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译